## Index

### Classes

- FrameAnimationImpl

### Interfaces

- FrameAnimation

### Variables

- animDataMap
- animationMap
- textureMap

### Functions

- getFrameAnimation
- putFrameAnim

## Variables

### Const animDataMap

animDataMap: object

- Defined in core/FrameAnimation.ts:8

#### Type declaration

### Const animationMap

animationMap: object

- Defined in core/FrameAnimation.ts:7

#### Type declaration

### Const textureMap

textureMap: object

- Defined in core/FrameAnimation.ts:9

#### Type declaration

## Functions

### getFrameAnimation

- getFrameAnimation(name: string): FrameAnimation

- - Defined in core/FrameAnimation.ts:15

  获取一个帧动画资源

  #### Parameters

  - ##### name: string

  #### Returns FrameAnimation

### putFrameAnim

- putFrameAnim(img: any, data: any): void

- - Defined in core/FrameAnimation.ts:30

  放置帧动画图片和数据

  #### Parameters

  - ##### img: any

  - ##### data: any

  #### Returns void

Generated using TypeDoc